// @ts-check
// https://bun.sh/docs/bundler
import pkg from './package.json' assert { type: 'json' };
// bun run src/index.ts --
await Bun.build({
  target: 'node',
  format: 'esm',
  entrypoints: ['./src/index.ts'],
  outdir: './dist',
  naming: {
    entry: 'app.mjs',
  },

  define: {
    ENVISION_VERSION: JSON.stringify(pkg.version),
  },
  env: 'ENVISION_*',
});
